#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xc6be052b, "xt_unregister_target" },
	{ 0x24166427, "xt_register_target" },
	{ 0xaa25374a, "nf_synproxy_ipv6_init" },
	{ 0x3e29388d, "nf_ct_netns_get" },
	{ 0xdaec535f, "nf_ct_netns_put" },
	{ 0x634afac0, "nf_synproxy_ipv6_fini" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1f099794, "synproxy_init_timestamp_cookie" },
	{ 0xd4767f24, "synproxy_send_client_synack_ipv6" },
	{ 0x34d87106, "consume_skb" },
	{ 0x7c76782f, "synproxy_recv_client_ack_ipv6" },
	{ 0xdb9de043, "synproxy_parse_options" },
	{ 0xc6e026cf, "skb_copy_bits" },
	{ 0x4896e6c0, "nf_ip6_checksum" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xca9fc082, "synproxy_net_id" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "x_tables,nf_synproxy_core,nf_conntrack");


MODULE_INFO(srcversion, "22806BCE1520A684EF1FA6D");
